function k(o){return document.getElementById(o);}

function apply_check() {
	
	
	if( strlen(k('iAppCall').value)<1 | strlen(k('iAppCall').value)>24) {
	   alert("\请输入您的称呼!")
	   k('iAppCall').focus()
	   return false;
	}
	
	
	
	
	if( strlen(k('iAppEmail').value)<1 ) {
	   alert("\请输入您的Email！!")
	   k('iAppEmail').focus()
	   return false;
	}
	
	if(!CheckEmail(k('iAppEmail').value))
	{
	   alert("\请输入正确的Email格式!")
	   k('iAppEmail').focus()
	   return false;
	}
	
	
    if( strlen(k('iAppIntro').value)<1 ) {
	   alert("\请输入小组名称及介绍!")
	   k('iAppIntro').focus()
	   return false;
	}
	


}


//检测字符的长度，以字节为单位
function strlen(str)
{
	var len;
	var i;
	len = 0;
	for (i=0;i<str.length;i++){
		if (str.charCodeAt(i)>255) len+=2; else len++;
	}
	return len;
}


//检测电子邮件是否合法
function CheckEmail(strValue)
{
    var pattern = /^[.-_A-Za-z0-9]+@([-_A-Za-z0-9]+\.)+[A-Za-z0-9]{2,3}$/;
    if(strValue.match(pattern)==null){
        return false;
     }else{
     return true;
     }
}

